package heuristics.update;

import heuristics.search.StateValue;
import parser.State;

public interface StateValueContainer
{
	public static int UNBOUNDED = 0;
	
	public abstract void setQValue(State s, StateValue val, int depth);
	
	public abstract StateValue getQValue(State s, int depth);
	
	public abstract int getSize();
	
	public abstract int getNumAllValues();
	
	public abstract void derefAll();
}
